server {
    server_name _;
    listen *:80;
    index index.php index.html index.htm;
    root /usr/src/signer/public;


    location / {
        try_files $uri $uri/ /index.php?$args;
    }

    location ~ \.php$ {
        include fastcgi_params;
        fastcgi_param SCRIPT_FILENAME $document_root/$fastcgi_script_name;
        fastcgi_pass signer:9000;
        try_files $uri =404;
        fastcgi_index index.php;
    }

    location ~* .php/ {
        rewrite (.*.php)/ $1 last;
    }
}